# The Red Matrix: include/conversation.php File Reference

All Classes Namespaces Files Functions Variables Pages
conversation.php File Reference

## Functions

| item_extract_images ($body)
| item_redir_and_replace_images ($body, $images, $cid)
| localize_item (&$item)
| count_descendants ($item)
| visible_activity ($item)
| conversation (&$a, $items, $mode, $update, $page_mode= 'traditional', $prepared_item= '')
| best_link_url ($item)
| item_photo_menu ($item)
| like_puller ($a, $item, &$arr, $mode)
| Returns a like/dislike entry. It gives back a HTML link to the channel that liked/disliked. More...
| format_like ($cnt, $arr, $type, $id)
| status_editor ($a, $x, $popup=false)
| get_item_children ($arr, $parent)
| sort_item_children ($items)
| add_children_to_list ($children, &$arr)
| conv_sort ($arr, $order)
| sort_thr_created ($a, $b)
| sort_thr_created_rev ($a, $b)
| sort_thr_commented ($a, $b)
| find_thread_parent_index ($arr, $x)
| format_location ($item)
| render_location_default ($item)
| prepare_page ($item)
| network_tabs ()
| profile_tabs ($a, $is_owner=False, $nickname=Null)

## Function Documentation

add_children_to_list | ( |  | $children,
|  | & | $arr
| ) |  |

best_link_url | ( |  | $item | ) |

Referenced by conversation().

conv_sort | ( |  | $arr,
|  |  | $order
| ) |  |

Referenced by channel_content(), display_content(), items_fetch(), network_content(), and zot_feed().

conversation | ( | & | $a,
|  |  | $items,
|  |  | $mode,
|  |  | $update,
|  |  | $page_mode = `'traditional'`,
|  |  | $prepared_item = `''`
| ) |  |

"Render" a conversation or list of items for HTML display. There are two major forms of display:

- Sequential or unthreaded ("New Item View" or search results)
- conversation view The $mode parameter decides between the various renderings and also figures out how to determine page owner and other contextual items that are based on unique features of the calling module.

Referenced by channel_content(), display_content(), item_post(), network_content(), Item\remove_parent(), search_content(), and Item\set_conversation().

count_descendants | ( |  | $item | ) |

Count the total of comments on this item and its desendants

find_thread_parent_index | ( |  | $arr,
|  |  | $x
| ) |  |

format_like | ( |  | $cnt,
|  |  | $arr,
|  |  | $type,
|  |  | $id
| ) |  |

Referenced by Item\get_template_data().

format_location | ( |  | $item | ) |

Referenced by conversation(), and Item\get_template_data().

get_item_children | ( |  | $arr,
|  |  | $parent
| ) |  |

item_extract_images | ( |  | $body | ) |

item_photo_menu | ( |  | $item | ) |

Referenced by conversation(), and Item\get_template_data().

item_redir_and_replace_images | ( |  | $body,
|  |  | $images,
|  |  | $cid
| ) |  |

like_puller | ( |  | $a,
|  |  | $item,
|  | & | $arr,
|  |  | $mode
| ) |  |

Returns a like/dislike entry. It gives back a HTML link to the channel that liked/disliked.

Parameters

  array | $a | (not used)
  array | $item |
  array | &$arr |
  string | $mode | like/dislike

Returns
  void

Referenced by conversation().

localize_item | ( | & | $item | ) |

Render actions localized

Referenced by api_format_items(), conversation(), format_notification(), Item\get_template_data(), and notification().

network_tabs | ( |  | ) |

Referenced by network_content().

prepare_page | ( |  | $item | ) |

Referenced by block_content(), home_content(), page_content(), and widget_item().

profile_tabs | ( |  | $a,
|  |  | $is_owner = `False`,
|  |  | $nickname = `Null`
| ) |  |

Referenced by bookmarks_content(), channel_content(), chat_content(), events_content(), RedBrowser\generateDirectoryIndex(), photos_content(), profile_content(), and webpages_content().

render_location_default | ( |  | $item | ) |

sort_item_children | ( |  | $items | ) |

sort_thr_commented | ( |  | $a,
|  |  | $b
| ) |  |

sort_thr_created | ( |  | $a,
|  |  | $b
| ) |  |

sort_thr_created_rev | ( |  | $a,
|  |  | $b
| ) |  |

status_editor | ( |  | $a,
|  |  | $x,
|  |  | $popup = `false`
| ) |  |

Referenced by blocks_content(), channel_content(), display_content(), layouts_content(), network_content(), rpost_content(), and webpages_content().

visible_activity | ( |  | $item | ) |

Referenced by Item\__construct(), conversation(), count_descendants(), and notification().